
Floor = class('Floor')

Floor.NUMBER = 9
Floor.CAPACITY = 3
Floor.HEIGHT = (Passenger.SIZE*2)
Floor.WIDTH = Floor.CAPACITY * (Passenger.SIZE*2)

function Floor:initialize(capacity, x, y)
  self.capacity = capacity
  self.x = x
  self.y = y
  self.passengers = {}
end

function Floor:update(dt)
  for i=1, #self.passengers do
    self.passengers[i]:update(dt)
  end
end

function Floor:draw(x, y)
  love.graphics.rectangle(
      "line",
      self.x+0.5, self.y+0.5,
      Floor.WIDTH, Floor.HEIGHT)
  for i=1, #self.passengers do
    self.passengers[i]:draw()
  end
end

function Floor:addPassenger()
  if #self.passengers < self.capacity then
    local passenger = Passenger:new(
        math.random(Floor.NUMBER),
        self.x-Passenger.SIZE*2,
        self.y)
    table.insert(self.passengers, passenger)
    passenger:tween(
        Passenger.SIZE*2 * (Floor.CAPACITY - #self.passengers),
        self.y)
  end
end

function Floor:takePassenger()
  local ejected_passenger = table.remove(self.passengers,1)
  for i=1, #self.passengers do
    local passenger = self.passengers[i]
    passenger:tween(passenger.x+Passenger.SIZE*2, passenger.y)
  end
  return ejected_passenger
end
