
Passenger = class('Passenger')

Passenger.TWEEN_TIME = 1
Passenger.SIZE = 30
Passenger.MAX_TIME = 10

function Passenger:initialize(sink_floor, x, y)
  --self.sink_floor = sink_floor
  self.color = color
  self.x = x
  self.y = y
  self.alpha = 255
  self.time = 0
end

function Passenger:update(dt)
  self.time = self.time + dt
end

function Passenger:draw(x, y)
  local orig_r, orig_g, orig_b, orig_a = love.graphics.getColor()
  local max = Passenger.MAX_TIME
  love.graphics.setColor(
      math.min(max,self.time)/max*255,
      255-math.min(max,self.time)/max*255,
      255-math.min(max,self.time)/max*255,
      self.alpha)
  love.graphics.circle(
      "line",
      self.x + Passenger.SIZE,
      self.y + Passenger.SIZE,
      Passenger.SIZE)
  --love.graphics.print(self.time, self.x, self.y)
  love.graphics.setColor(orig_r, orig_g, orig_b, orig_a)
end

function Passenger:tween(x2, y2)
  tween(
      Passenger.TWEEN_TIME,
      self,
      {x=x2, y=y2},
      'inOutCubic')
end
